JavaScript/jQuery NavBar - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
Moves focus to the previous item.
Moves focus to the next item.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

JavaScript
  • function registerKeyHandlers () {
  • const navBar = $("#navBarContainer").dxNavBar("instance");
  • navBar.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • navBar.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }
See Also

React NavBar - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
Moves focus to the previous item.
Moves focus to the next item.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { NavBar } from 'devextreme-react/nav-bar';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.navBarRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <NavBar ref={this.navBarRef} />
  • );
  • }
  •  
  • get navBar() {
  • return this.navBarRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.navBar.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.navBar.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;
See Also